aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMilan Misic <twoexem@gmail.com>2026-03-25 20:10:02 +0100
committerMilan Misic <twoexem@gmail.com>2026-03-25 20:10:02 +0100
commit2602b8e31af142d4ed85dfea85485b6acc570a37 (patch)
treeecaac95626a3c978dab1c2561dae81cbe48bfb1b
parent9d394e06c85d0e7a8eccdf810c741fc79950832a (diff)
Fixed typo and other things in postinst
-rwxr-xr-xDEBIAN/postinst8
1 files changed, 4 insertions, 4 deletions
diff --git a/DEBIAN/postinst b/DEBIAN/postinst
index 371346d..ebcfc9f 100755
--- a/DEBIAN/postinst
+++ b/DEBIAN/postinst
@@ -4,9 +4,9 @@ set -e
lang=$(locale | grep LANG | cut -d= -f2 | cut -d_ -f1)
# Install the module with dkms
-dkms add st-lsm6dsx-shift13mi/0.1
-dkms build st-lsm6dsx-shift13mi/0.1
-dkms install st-lsm6dsx-shift13mi/0.1
+dkms add st-lsm6dsx-shift13mi/0.1 || true
+dkms build st-lsm6dsx-shift13mi/0.1 || true
+dkms install st-lsm6dsx-shift13mi/0.1 || true
# Unload the old module and reload the new module
modprobe -r st_lsm6dsx_i2c || true
@@ -17,7 +17,7 @@ systemd-hwdb update
udevadm trigger
systemctl restart iio-sensor-proxy
-if mokutil --sb-state 2>/dev/null | grep -q "SecureBoot enabled"; then; then
+if mokutil --sb-state 2>/dev/null | grep -q "SecureBoot enabled"; then
mokutil --import /var/lib/dkms/mok.pub